import 'dart:io';

import 'package:json_value/json_value.dart';

void main() {
  Map<dynamic, dynamic> response = {
    'user': {'name': 'Jack', 'age': 20},
    'fruits': [
      {'name': 'apple', 'detail': 'apple is sweet'},
      {'name': 'watermelon', 'detail': 'watermelon is full of water'}
    ]
  };

  JsonValue json = JsonValue(response);

  print('user -> name : ${json['user']['name'].stringValue}');
  print('user -> age : ${json['user']['age'].numValue}');

  print('get first fruit : ${json['fruits'][0].mapObject}');

  print('Get the unknown key : ${json['product'][4].stringValue}');
}
